Skip to main content
GET
/
api
/
metastore
/
catalogs
/
{catalog_name}
/
schemas
/
{schema_name}
/
tables
/
{table_name}
/
details
Get a specific table's details
curl --request GET \
  --url https://api.example.com/api/metastore/catalogs/{catalog_name}/schemas/{schema_name}/tables/{table_name}/details \
  --header 'Authorization: Bearer <token>'
{
  "table": {
    "table_name": "<string>",
    "columns": [
      {
        "name": "<string>",
        "type": "<string>",
        "nullable": true,
        "comment": "<string>"
      }
    ],
    "table_properties": {}
  }
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Path Parameters

catalog_name
string
required

Catalog name.

schema_name
string
required

Schema name.

table_name
string
required

Table name.

Response

Data retrieved successfully.

table
TableInfo · object
required

Table metadata details including columns and properties